Subject: Re: cache flush ramblings

From: Russell King <[email-masked]>
Date: Wed, 29 Apr 1998 22:37:49 +0100 (BST)

Philip Blundell writes:
> I was looking at the code in proc-sa110.S to flush the cache just now.  It 
> seems that we maintain a flag (clean_switch) to say whether the Dcache might 
> be polluted by data from the flushing area and use this to decide whether or 
> not to read the whole 32k of data. 

It only ever reads 16k.  Please read the code again.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |         Russell King        [email-masked]      --- ---
  | | | |     http://www.arm.uk.linux.org/~rmk/home.html     /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
unsubscribe: body of `unsubscribe linux-arm' to [email-masked]

---

From: Philip Blundell <[email-masked]>
Date: Thu, 30 Apr 1998 08:41:34 +0100

>It only ever reads 16k.  Please read the code again.

Oops, you're right.  In fact it already does exactly what I was suggesting.

p.